	program vusseparate
c separate vus files to individual files
c **26-Feb-04**
c input vus*; output vus.* in vuss
	character vn*2,vus*4,vm*2
	integer*2 data(125)
	equivalence (vus,data(2))
c
10	write(*,"('vus0'$)")
	read(*,'(a)') vn
	if (vn(1:1).eq.' ') stop
	open(1,file='../vus0'//vn,access='direct',form='unformatted'
&	,recl=250,status='old',err=10)
	nr=1
20	read(1,rec=nr,end=90) data
	if (data(1).eq.5.and.vus.eq.'VUS0') then
	 close(2)
	 write(vm,'(i2)') data(5)
	 if (vm(1:1).eq.' ') vm(1:1)='0'
	 write(*,*) vm
	 open(2,file='../vuss/vus.'//vn//vm,access='direct'
&	 ,form='unformatted',recl=250)
	 do n=1,3
	  nr=nr+1
	  read(1,rec=nr) data
	  end do
	 mr=1
	else
	 write(2,rec=mr) data
	 mr=mr+1
	 end if
	nr=nr+1
	go to 20
c
90	close(1)
	close(2)
	go to 10
	end


